注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

K8拉登哥哥's Blog

K8搞基大队[K8team] 信息安全 网络安全 0day漏洞 渗透测试 黑客

 
 
 

日志

 
 

解决VS2012编译的程序在WinXP上运行异常  

2015-09-13 12:38:38|  分类: C/C++ |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |
dev11 complier 已经不再支持XP,如果想要支持XP系统,需要更新至 VS2012 Update1,同时,在

属性---配置属性 --- 常规---平台工具集

Properties -> Configuration Properties -> General -> PlatForm ToolSet
选择
Visual Studio 2012 - windows XP (v110_xp)
这样compiler生成的exe文件方可在XP系统上运行。


写代码的过程中,我发现使用VS2012编译出来的程序默认支持的系统版本略高

例如刚发现的:Win7+VS2012
编译出来的程序默认PE信息(Optional Header):
Major SubSystem Version = 6
Minor SubSystem Version = 0

导致的结果就是:在WinXP中运行便会提示“不是有效的Win32应用程序”

当时还以为是自己搞错编译选项,将程序编译成x64的了。
结果后来使用PE工具才发现的这个问题。

修正办法:
右击项目-属性-配置属性-链接器-系统-所需最低版本 填入”5.01″
  评论这张
 
阅读(412)| 评论(0)
推荐 转载

历史上的今天

在LOFTER的更多文章

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2016